import 'package:dio/dio.dart';
import 'package:flutter/material.dart';
import 'package:lori_sdk/data/api/sales/sales_catalog_api.dart';
import 'package:lori_sdk/data/api/sales/sales_search_api.dart';

class SalesApi {
  final Dio _requester;

  final SalesCatalogApi catalog;
  final SalesSearchApi search;

  SalesApi({@required Dio requester}) :
        this._requester = requester,
        this.catalog = SalesCatalogApi(requester: requester),
        this.search = SalesSearchApi(requester: requester);
}